# Config module for Waffle
#
# Provides the following variables
# Waffle_INCLUDE_DIRS - Directories to include
# Waffle_LIBRARIES    - Libraries to link
# Waffle_LIBRARY_DIRS - Library directories to search for link libraries



# This should only be used for meson
if (NOT DEFINED set_and_check)
    macro(set_and_check _var _file)
        set(${_var} "${_file}")
        if(NOT EXISTS "${_file}")
            message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
        endif()
    endmacro()
endif()

set_and_check(Waffle_INCLUDE_DIRS "/usr/include/waffle-1")
set_and_check(Waffle_LIBRARY_DIRS "/usr/lib/x86_64-linux-gnu")
set(Waffle_LIBRARIES "waffle-1")
